<?php
namespace myretail\controllers;

use Yii;
use yii\web\Controller;
use myretail\models\UpdateCustomer;
use myretail\models\SyncConfig;

class UpdateCustomerController extends Controller {
    public function actionIndex() {
        $model = new UpdateCustomer();
        $tipe_tabel = $model->tipe_tabel;
        $conn = SyncConfig::getConnection();
        $config = SyncConfig::find()->where(['type_con' => 'retail'])->one();
        $access_token = $config->api_key;

        $result = $model->ambilData($tipe_tabel);

        if ($result != NULL) {
            $id_lokal = $result['customer']['id'];
            $id_jurnal = $result['customer']['id_jurnal'];
            unset($result['customer']['id']);
            unset($result['customer']['id_jurnal']);
            $response = $model->kirimData($result, $access_token, $id_jurnal);
            $simpan = $model->simpanStatus($response, $tipe_tabel, $id_lokal);
            $echo = $simpan;
            // END - proses ambil, kirim dan simpan data yang baru
        } else {
            $echo = "upcust";
            // END - proses ambil, kirim dan simpan data yang gagal diimport
        }

        return $echo;
    }
}